// @use (style.scss)

header {
  display: flex;
  height: 7vh;
  background-color: var(--nba-blue);
  color: white;
  align-items: center;
  justify-content: space-between;
}

.right-header {
  display: none;
}

.nav-item {
  color: white;
  cursor: pointer;
  padding: 10px 14px;
  &:hover {
    color: lightgray;
  }
  border-right: 3px solid white;
}

.wrapper {
  // this makes problem with log page and filters cutting out
  // max-height: 93vh;
  // overflow: auto;
}



.spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
 }

 .hamburger {
  display: none;
  font-size: 20px;
  font-weight: 800;
  color: white;
}

.navigation-items {
  display: flex;
  //gap: 40px;
}

.pc-title {
  border-bottom: 3px solid white;
  h1 {

    margin-left: 1rem;
  }
}

.mobile-title {
  display: none;
}

.mobile-menu {
  display: none;
}

@media (768px <= width <= 1005px) {
  nav {
    font-size: 10px;
  }
}

@media screen and (max-width:768px) {
  .hamburger {
    display: flex;
    cursor: pointer;
    

    span {
      padding-left: 1.5rem;
      font-size: 3rem;
    }
  }
  .hamburger #closeHam {
    display: none;
  }

  .hamburger #openham {
    display: none;
  }

  .right-header {
    display: block;
    font-size: 2rem
  }

  .left-header {
    display: flex;
  }

  .mobile-title {
    display:block;
    margin-left: 3rem;
  }

  .mobile-menu {
    display:block;
    margin-left: 0.5rem;
  }

  .pc-title {
    display: none;
  }

  .navigation-items {
    display: none;
    flex-direction: column;
    //align-items: center;
    position: absolute;
    right: 0;
    top: 58px;
    background-color: rgb(73, 51, 153);
    width: 100%;
    //height: calc(100vh - 58px);
    // padding-top: 60px;
    //gap: 10vh;
    z-index: 10000;
    padding: 1rem;
    font-size: 2rem;
  }

  .nav-item {
    border: unset;
    border-bottom: 1px solid white;
  }
}

// #closeHam {
//   background:#fff;
//   position:relative;
//   display:inline-block;
// }
// #closeHam > span {
//   //filter:brightness(0); /* We make the icon black */
// }
// #closeHam:before {
//    content:"";
//    position:absolute;
//    top:0;
//    left:0;
//    right:0;
//    bottom:0;
//    background:red;
//    pointer-events:none;
//    mix-blend-mode:lighten; /* this will make the icon red since red is more "light" than black*/
//     z-index: 1;
// }

.p1 {
  padding: 1rem;
}

.logout {
  border: unset;
  border-left: 3px solid white;
  margin-left: 8px;
}

